Bug 1120599 - (CVE-2014-0117) CVE-2014-0117 httpd: mod_proxy denial of service
CVE-2014-0117 httpd: mod_proxy denial of service
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140717,repor...
: Security
Depends On: 1120607 1120608 1120614 1120938 1121037 1121038
Blocks: 1120610 1120623
  Show dependency treegraph
 
Reported: 2014-07-17 05:08 EDT by Murray McAllister
Modified: 2018-06-29 18:01 EDT (History)
35 users (show)

See Also:
Fixed In Version: httpd 2.4.10
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in the mod_proxy httpd module. A remote attacker could send a specially crafted request to a server configured as a reverse proxy using a threaded Multi-Processing Modules (MPM) that would cause the httpd child process to crash.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0921 normal SHIPPED_LIVE Important: httpd security update 2014-07-23 10:00:19 EDT
Red Hat Product Errata RHSA-2014:0922 normal SHIPPED_LIVE Important: httpd24-httpd security update 2014-07-23 10:00:09 EDT

  None (edit)
Description Murray McAllister 2014-07-17 05:08:42 EDT
The following flaw has been fixed in the Apache HTTP Server:

"A flaw was found in mod_proxy. A remote attacker could send a carefully crafted request to a server configured as a reverse proxy, and cause the child process to crash. This could lead to a denial of service against a threaded MPM."

External References:

http://httpd.apache.org/security/vulnerabilities_24.html
Comment 2 Murray McAllister 2014-07-17 05:39:47 EDT
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1120614]
Comment 6 Vincent Danen 2014-07-18 09:16:25 EDT
Statement:

This issue did not affect the versions of httpd as shipped with Red Hat Enterprise Linux 5 and 6, Red Hat JBoss Web Server, and Red Hat JBoss Enterprise Application Platform. These products include httpd 2.2, and only httpd versions 2.4.6 through 2.4.9 include the vulnerable code.
Comment 9 errata-xmlrpc 2014-07-23 06:00:50 EDT
This issue has been addressed in following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7

Via RHSA-2014:0922 https://rhn.redhat.com/errata/RHSA-2014-0922.html
Comment 10 errata-xmlrpc 2014-07-23 06:01:37 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:0921 https://rhn.redhat.com/errata/RHSA-2014-0921.html
Comment 11 Fedora Update System 2014-07-25 06:03:36 EDT
httpd-2.4.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Martin Prpič 2014-07-28 07:28:31 EDT
IssueDescription:

A denial of service flaw was found in the mod_proxy httpd module. A remote attacker could send a specially crafted request to a server configured as a reverse proxy using a threaded Multi-Processing Modules (MPM) that would cause the httpd child process to crash.
Comment 13 Fedora Update System 2014-08-14 22:47:02 EDT
httpd-2.4.10-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.